<& "/contenido/components/header.msn" &>
<& "/contenido/components/naviline.msn" &>

<script type="text/javascript">
<!--
var nOrderId = <% $order_id || 0 %>;
var oTimer;
var nAjaxWaiting = 0;
var nCounter = 20;
function RefreshOrderStatus() {
    if ( nOrderId > 0 && nAjaxWaiting == 0 ) {
	nAjaxWaiting = 1;
	$.ajax({
		'url'   : '/contenido/payments/ajax/order_info.html',
		'data'  : { 'id' : nOrderId },
		'dataType'      : 'json',
		'success'       : function( data ){
			nAjaxWaiting = 0;
			if ( data.brief ) {
				$('#order-info').html( data.brief );
			}
			if ( data.actions ) {
				$('#order-actions').html( data.actions );
			}
		},
		'error' : function () {
			nAjaxWaiting = 0;
		}
	});
    }
}
oTimer = setInterval( function() {
	if ( nOrderId ) {
		$('#counter-container').show();
	} else {
		$('#counter-container').hide();
	}
	if ( nCounter > 0 ) {
		$('#refresh-counter').text( nCounter );
		nCounter--;
	} else {
		$('#refresh-counter').text( nCounter );
		RefreshOrderStatus();
		nCounter = 20;
	}
}, 1000 );
//-->
</script>

<div id="counter-container" style="display:none; text-align:right; padding:3px 5px; font-size:80%;">Перезагрузка через: <span id="refresh-counter"></span> сек.</div>
<table width="100%" cellspacing="0" cellpadding="0" border="0">
<tr valign="top">
<td width="35%">
<& /contenido/payments/components/form_order_finder.msn, order_id => $order_id &>
</td>
<td width="2%" nowrap>&nbsp;</td>
<td width="63%">
<div id="order-actions">
% if ( $order_id ) {
<& /contenido/payments/components/order_actions.msn, order_id => $order_id &>
% }
</div>
</td>
</tr>
</table>

</body>
</html>
<%args>

	$order_id	=> undef

</%args>
<%init>

    $order_id = undef	unless $order_id && $order_id =~ /^\d+$/;

</%init>